/**
 * Test case for apemanfileDocBud.
 * Runs with mocha.
 */
'use strict'

const apemanfileDocBud = require('../lib/bud/apemanfile_doc_bud.js')
const assert = require('assert')
const co = require('co')
const coz = require('coz')

let tmpDir = __dirname + '/../tmp'

describe('apeman-doc-bud', () => {
  it('Apemanfile doc bud', () => co(function * () {
    let bud = apemanfileDocBud(require.resolve('../misc/mocks/mock-Apemanfile.js'))
    bud.path = tmpDir + '/foo/bar/testing-apemanfile-doc.md'
    yield coz.render(bud)
  }))
})

/* global describe, it */
